gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.OtColorLayerT

Contents

- Exported types
- Methods
- Properties
  - colorIndex
  - glyph

Description

Pairs of glyph and color index.

A color index of 0xFFFF does not refer to a palette color, but indicates that the foreground color should be used.

Since: 2.1.0

Synopsis

- newtype OtColorLayerT = OtColorLayerT (ManagedPtr OtColorLayerT)
- newZeroOtColorLayerT :: MonadIO m => m OtColorLayerT
- getOtColorLayerTColorIndex :: MonadIO m => OtColorLayerT -> m Word32
- setOtColorLayerTColorIndex :: MonadIO m => OtColorLayerT -> Word32 -> m ()
- getOtColorLayerTGlyph :: MonadIO m => OtColorLayerT -> m Word32
- setOtColorLayerTGlyph :: MonadIO m => OtColorLayerT -> Word32 -> m ()

# Exported types

newtype OtColorLayerT Source #

Memory-managed wrapper type.

Constructors

OtColorLayerT (ManagedPtr OtColorLayerT) |

#### Instances

Instances details

Eq OtColorLayerT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtColorLayerT Methods (==) :: OtColorLayerT -> OtColorLayerT -> Bool Source # (/=) :: OtColorLayerT -> OtColorLayerT -> Bool Source #
BoxedPtr OtColorLayerT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtColorLayerT Methods boxedPtrCopy :: OtColorLayerT -> IO OtColorLayerT Source # boxedPtrFree :: OtColorLayerT -> IO () Source #
CallocPtr OtColorLayerT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtColorLayerT Methods boxedPtrCalloc :: IO (Ptr OtColorLayerT) Source #
ManagedPtrNewtype OtColorLayerT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtColorLayerT Methods toManagedPtr :: OtColorLayerT -> ManagedPtr OtColorLayerT Source #
tag ~ 'AttrSet => Constructible OtColorLayerT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtColorLayerT Methods new :: MonadIO m => (ManagedPtr OtColorLayerT -> OtColorLayerT) -> [AttrOp OtColorLayerT tag] -> m OtColorLayerT Source #

newZeroOtColorLayerT :: MonadIO m => m OtColorLayerT Source #

Construct a `OtColorLayerT` struct initialized to zero.

# Methods

# Properties

## colorIndex

the palette color index of the layer

getOtColorLayerTColorIndex :: MonadIO m => OtColorLayerT -> m Word32 Source #

Get the value of the “`color_index`” field. When overloading is enabled, this is equivalent to

    get otColorLayerT #colorIndex

setOtColorLayerTColorIndex :: MonadIO m => OtColorLayerT -> Word32 -> m () Source #

Set the value of the “`color_index`” field. When overloading is enabled, this is equivalent to

    set otColorLayerT [ #colorIndex := value ]

## glyph

the glyph ID of the layer

getOtColorLayerTGlyph :: MonadIO m => OtColorLayerT -> m Word32 Source #

Get the value of the “`glyph`” field. When overloading is enabled, this is equivalent to

    get otColorLayerT #glyph

setOtColorLayerTGlyph :: MonadIO m => OtColorLayerT -> Word32 -> m () Source #

Set the value of the “`glyph`” field. When overloading is enabled, this is equivalent to

    set otColorLayerT [ #glyph := value ]